<template>
  <section id="home-page">
    <div class="top-screen">
      <div class="text-box">
        <p></p>
      </div>
    </div>

    <div class="middle-screen"></div>

    <div class="bottom-screen">
      <div class="columns">
        <div class="column">
          <button class="button is-primary is-large" @click="arena()">
            <span class="icon is-medium">
              <font-awesome-icon icon="fist-raised" />
            </span>
            <span>Arena</span>
          </button>
        </div>
        <div class="column">
          <button class="button is-success is-large" @click="pokemon()">
            <span class="icon is-medium">
              <font-awesome-icon icon="list" />
            </span>
            <span>Pokémon</span>
          </button>
        </div>
      </div>
      <div class="columns">
        <div class="column">
          <button class="button is-info is-large" @click="informations()">
            <span class="icon is-medium">
              <font-awesome-icon icon="info-circle" />
            </span>
            <span>Informations</span>
          </button>
        </div>
        <div class="column">
          <button class="button is-link is-large" @click="historic()">
            <span class="icon is-medium">
              <font-awesome-icon icon="history" />
            </span>
            <span>Historic</span>
          </button>
        </div>
      </div>
      <button class="button is-danger is-large" @click="logout()">
        <span class="icon is-medium">
          <font-awesome-icon icon="running" />
        </span>
        <span>Logout</span>
      </button>
    </div>
  </section>
</template>

<script>
import router from "../router";
import WriteTextBox from "../helper/writeTextBox";

export default {
  name: "home",
  data: function() {
    return {
      writeTextBox: null
    };
  },
  methods: {
    arena() {
      router.push("/arena");
    },
    pokemon() {
      router.push("/pokemon");
    },
    informations() {
      router.push("/informations");
    },
    historic() {
      router.push("/historic");
    },
    logout() {
      this.$store.dispatch('logout')
      .then(() => {
        // this.$socketService.closeSocket();
        console.log('socket closing...')
        this.$socket.close();
        this.$socket.emit('user-disconnected')
        console.log('socket closed')
        this.$router.push('/login')
      })
    }
  },
  computed: {},
  components: {},
  mounted() {
    this.writeTextBox = new WriteTextBox();
    this.writeTextBox.run([
      "What are you going to do ?"
    ]);
  },
  destroyed() {
    this.writeTextBox.destroy();
  }
};
</script>


<style scoped lang="scss">
#home-page {
  .top-screen {
    background-image: url("~@/assets/background-city.png") !important;
  }
}
</style>
